(function ($) {
	'use strict';

	jQuery(document).ready(function ($) {


		// booking entry form create/edit flatpickr js add
		$('.cbxrbookingadminform_wrapper').each(function (index, element) {

			var $form_wrapper = $(element);

			var $element    = $form_wrapper.find('.cbxrbooking-single');
			var $form_id    = parseInt($element.data('form-id'));
			var $forms_data = cbxrbookingadminlogformObj.forms_data[$form_id];


			var $schedule_weekdays       = $forms_data.schedule_weekdays;
			var $schedule_times          = $forms_data.schedule_times;
			var $exceptions_dates        = $forms_data.exceptions_dates;
			var $exceptions_times        = $forms_data.exceptions_times;
			var $early_bookings          = $forms_data.early_booking;
			var $late_bookings           = $forms_data.late_bookings;
			//var $date_pre_sel            = $forms_data.preselect_date;
			var $firstday                = $forms_data.first_day;
			var $time_interval           = $forms_data.time_interval;
			var $party_size_min          = $forms_data.party_size_min;
			var $party_size_max          = $forms_data.party_size_max;
			var $name_required           = $forms_data.name_required;
			var $email_required          = $forms_data.email_required;
			var $phone_required          = $forms_data.phone_required;
			var $success_message         = $forms_data.success_message;
			var $twenty_four_hour_format = $forms_data.twenty_four_hour_format;
			var $single_date_format      = $forms_data.single_date_format;

			$form_wrapper.find(".cbxrb_preferred_date").flatpickr({
				// dateFormat: 'M d, Y',
				//minDate: "today",

				"locale": {
					"firstDayOfWeek": $firstday // start week on Monday
				},
				altInput  : true,
				altFormat : $single_date_format,
				dateFormat: "Y-m-d",
				disableMobile: true
			});

			$form_wrapper.find(".cbxrb_preferred_time").flatpickr({
				enableTime   : true,
				noCalendar   : true,
				disableMobile: true,

				enableSeconds: false, // disabled by default

				time_24hr: $twenty_four_hour_format, // AM/PM time picker is used by default

				// default format
				dateFormat: "H:i",

				// initial values for time. don't use these to preload a date
				defaultHour  : 12,
				defaultMinute: 0,

				// Preload time with defaultDate instead:
				// defaultDate: "3:30"
			});


			var formvalidator = $element.validate({
				errorPlacement: function (error, element) {
					error.appendTo(element.parents('.cbxrbooking-error-msg-show'));
				},
				errorElement  : 'p',
				rules         : {
					/*cbxrb_formid        : {
						required: true,
					},
					cbxrb_email         : {
						//required: true,
						email   : true
					},*/
					cbxrb_preferred_date: {
						required: true
					},
					cbxrb_preferred_time: {
						required: true
					}
				},
				messages      : {
					/*cbxrb_formid        : {
						required: cbxrbookingadminlogformObj.required
					},
					cbxrb_email         : {
						//required: cbxrbookingadminlogformObj.required,
						email   : cbxrbookingadminlogformObj.email
					},
					cbxrb_preferred_date: {
						required: cbxrbookingadminlogformObj.required
					},
					cbxrb_preferred_time: {
						required: cbxrbookingadminlogformObj.required
					}*/
				}
			});

			// prevent double click form submission


			$element.submit(function (e) {
				var $form = $(this);

				var error_msg   = '';
				var success_msg = '';

				if (formvalidator.valid()) {

					$element.find('.cbxrb-actionbutton').prop("disabled", true);
				}
			});
		}); //end each form

	});

})(jQuery);
